#define N_IMPLEMENTS nWaterServer
//--------------------------------------------------------------------
//--------------------------------------------------------------------
#include "kernel/nkernelserver.h"
#include "water/nwaterserver.h"

nClass *nWaterServer::local_cl  = NULL;
nKernelServer *nWaterServer::kernelServer = NULL;

extern char *nWaterServer_version;
extern "C" bool N_EXPORT n_init(nClass *, nKernelServer *);
extern "C" void N_EXPORT n_fini(void);
extern "C" N_EXPORT void *n_create(void);
extern "C" N_EXPORT char *n_version(void);
extern void n_initcmds(nClass *);

//--------------------------------------------------------------------
//  n_init()
//--------------------------------------------------------------------
bool N_EXPORT n_init(nClass *cl, nKernelServer *ks)
{
    nWaterServer::local_cl = cl;
    nWaterServer::kernelServer = ks;
    ks->AddClass("nroot",cl);
	n_printf("added class\n");
    n_initcmds(cl);
    return true;
}

//--------------------------------------------------------------------
//  n_fini()
//--------------------------------------------------------------------
void N_EXPORT n_fini(void)
{
    nWaterServer::kernelServer->RemClass(nWaterServer::local_cl);
}

//--------------------------------------------------------------------
//  n_create()
//--------------------------------------------------------------------
N_EXPORT void *n_create(void)
{
    return n_new nWaterServer;
}

//--------------------------------------------------------------------
//  n_version()
//--------------------------------------------------------------------
N_EXPORT char *n_version(void)
{
    return nWaterServer_version;
}

//--------------------------------------------------------------------
//  EOF
//--------------------------------------------------------------------
