#define N_IMPLEMENTS nWaterNode
//--------------------------------------------------------------------
//--------------------------------------------------------------------
#include "water/nwaternode.h"
#include "kernel/nkernelserver.h"

nClass *nWaterNode::local_cl  = NULL;
nKernelServer *nWaterNode::kernelServer = NULL;

extern char *nWaterNode_version;
extern "C" bool N_EXPORT n_init(nClass *, nKernelServer *);
extern "C" void N_EXPORT n_fini(void);
extern "C" N_EXPORT void *n_create(void);
extern "C" N_EXPORT char *n_version(void);
extern void n_initcmds(nClass *);

//--------------------------------------------------------------------
//  n_init()
//--------------------------------------------------------------------
bool N_EXPORT n_init(nClass *cl, nKernelServer *ks)
{
    nWaterNode::local_cl = cl;
    nWaterNode::kernelServer = ks;
    ks->AddClass("nvisnode",cl);
	n_printf("added class\n");
    n_initcmds(cl);
    return true;
}

//--------------------------------------------------------------------
//  n_fini()
//--------------------------------------------------------------------
void N_EXPORT n_fini(void)
{
    nWaterNode::kernelServer->RemClass(nWaterNode::local_cl);
}

//--------------------------------------------------------------------
//  n_create()
//--------------------------------------------------------------------
N_EXPORT void *n_create(void)
{
    return n_new nWaterNode;
}

//--------------------------------------------------------------------
//  n_version()
//--------------------------------------------------------------------
N_EXPORT char *n_version(void)
{
    return nWaterNode_version;
}

//--------------------------------------------------------------------
//  EOF
//--------------------------------------------------------------------
