#
#   Nebula TEKDEMO
#
#   nwater
#   (c) 02-2002 Gottfried Chen
#   (c) 02-2003 Thomas Misiewicz
#   license granted as by license.txt provided in this release 
#   visit 3d-inferno.com for updates
#   #TEXTURES NOT PROVIDED !!!

sel /sys/servers
new nwaterserver water

sel    /usr/scene
source licht.tcl

/usr/scene/dlight.txyz 0.0 7.0 0.0



new n3dnode m1
    sel m1
    .txyz 0.0 0.0 0.0

    new nwaternode wat

    new nshadernode sn
    sel sn

        .setnumstages 2
        .setcolorop 0 "mul  tex prev"
        .setcolorop 1 "ipol tex prev const.a"

        .begintunit 0
            .setaddress wrap wrap
            .setminmagfilter linear linear
            .settexcoordsrc uv0
            .setenabletransform true
        .endtunit
        .sxyz0 2 2 2
        
        .begintunit 1
            .setaddress wrap wrap
            .setminmagfilter linear linear
            .settexcoordsrc spheremap
            .setenabletransform true
        .endtunit
	.sxyz1 5 5 5

        .setconst0 0.4 0.4 0.4 0.4

        .setlightenable true
        .setdiffuse  0.8 0.8 0.8 1.0
        .setemissive 1 0 0 0
        .setambient  1 1 1 1
        .setalphaenable false
    sel ..

    new ntexarraynode tex
    sel tex
        .settexture 0 bmp/ocean.bmp none
        .settexture 1 bmp/oceanreflect.bmp none
    sel ..
sel /usr/scene

new n3dnode m2
    sel m2
    .txyz 64.0 0.0 0.0

    new nwaternode wat

        new nshadernode sn
        sel sn

        .setnumstages 2
        .setcolorop 0 "mul  tex prev"
        .setcolorop 1 "ipol tex prev const.a"

        .begintunit 0
            .setaddress wrap wrap
            .setminmagfilter linear linear
            .settexcoordsrc uv0
            .setenabletransform true
        .endtunit
        .sxyz0 2 2 2
        
        .begintunit 1
            .setaddress wrap wrap
            .setminmagfilter linear linear
            .settexcoordsrc spheremap
            .setenabletransform true
        .endtunit
	.sxyz1 5 5 5

        .setconst0 0.4 0.4 0.4 0.4

        .setlightenable true
        .setdiffuse  0.8 0.8 0.8 1.0
        .setemissive 1 0 0 0
        .setambient  1 1 1 1
        .setalphaenable false
    sel ..
#TEXTURES NOT PROVIDED !!! USE YOUR ONW HERE !!
    new ntexarraynode tex
    sel tex
        .settexture 0 bmp/ocean.bmp none
        .settexture 1 bmp/oceanreflect.bmp none
    sel ..
sel ..


sel /sys/servers/input
        .beginmap
        .map keyb0:shift.pressed    pan
        .map keyb0:ctrl.pressed     orbit
	.map keyb0:y.pressed	    dolly
        .map mouse0:btn0.pressed    pan
        .map mouse0:btn1.pressed    orbit
        .map mouse0:btn2.pressed    dolly
        .map keyb0:space.down       "script:orig"
        .map keyb0:j.down           "script:janaview"
        .map keyb0:esc.down         "script:/sys/servers/console.toggle"
        .endmap

/sys/servers/console.watch *

#/usr/scene/m1/wat.setsize 64
#/usr/scene/m1/wat.setfps 12
/usr/scene/m1/wat.settype 1
/usr/scene/m1/wat.setamplitude 1.24346763
/usr/scene/m2/wat.settype 2
/usr/scene/m2/wat.setamplitude 1.24346763

#/usr/scene/m1/sn.setwireframe true
sel /usr/scene/m2/wat
